# eric3.ViewManager.Workspace

Module implementing the workspace viewmanager class.

### Classes

Workspace | Class implementing the workspace viewmanager class.

### Functions

None

## Workspace

Class implementing the workspace viewmanager class.

#### Signals

editorChanged(string)
  emitted when the current editor has changed
editorOpened
  emitted after an editor window was opened
editorSaved
  emitted after an editor window was saved
lastEditorClosed
  emitted after the last editor window was closed

### Derived from

QWorkspace, ViewManager

### Methods

Workspace | Constructor
activeWindow | Private method to return the active (i.e.
addView | Private method to add a view (i.e.
canCascade | Public method to signal if cascading of managed windows is available.
canSplit | public method to signal if splitting of the view is available.
canTile | Public method to signal if tiling of managed windows is available.
cascade | Public method to cascade the managed windows.
handleModificationStatusChanged | Private slot to handle the modificationStatusChanged signal.
handleSVWindow | Private method to handle the toggle of an editor window.
handleShowWindowMenu | Private method to set up the viewmanager part of the Window menu.
handleSyntaxErrorToggled | Private slot to handle the syntaxerrorToggled signal.
handleWindowActivated | Private slot to handle the windowActivated signal.
initWindowActions | Define the user interface actions for window handling.
removeAllViews | Private method to remove all views (i.e.
removeSplit | Public method used to remove the current split view.
removeView | Private method to remove a view (i.e.
setEditorName | Change the displayed name of the editor.
showView | Private method to show a view (i.e.
splitView | Public method used to split the current view.
tile | Public method to tile the managed windows.

### Workspace (Constructor)

Workspace(parent, ui, dbs)

Constructor

parent
  parent widget (QWidget)
ui
  reference to the main user interface
dbs
  reference to the debug server object

### Workspace.activeWindow

activeWindow()

Private method to return the active (i.e. current) window.

Returns:
  reference to the active editor

### Workspace.addView

addView(win, fn=None)

Private method to add a view (i.e. window)

win
  editor window to be added
fn
  filename of this editor

### Workspace.canCascade

canCascade()

Public method to signal if cascading of managed windows is available.

Returns:
  flag indicating cascading of windows is available

### Workspace.canSplit

canSplit()

public method to signal if splitting of the view is available.

Returns:
  flag indicating splitting of the view is available.

### Workspace.canTile

canTile()

Public method to signal if tiling of managed windows is available.

Returns:
  flag indicating tiling of windows is available

### Workspace.cascade

cascade()

Public method to cascade the managed windows.

### Workspace.handleModificationStatusChanged

handleModificationStatusChanged(m, editor)

Private slot to handle the modificationStatusChanged signal.

m
  flag indicating the modification status (boolean)
editor
  editor window changed

### Workspace.handleSVWindow

handleSVWindow(idx)

Private method to handle the toggle of an editor window.

idx
  index of the editor window to toggle (int)

### Workspace.handleShowWindowMenu

handleShowWindowMenu(windowMenu)

Private method to set up the viewmanager part of the Window menu.

windowMenu
  reference to the window menu

### Workspace.handleSyntaxErrorToggled

handleSyntaxErrorToggled(editor)

Private slot to handle the syntaxerrorToggled signal.

editor
  editor that sent the signal

### Workspace.handleWindowActivated

handleWindowActivated(editor)

Private slot to handle the windowActivated signal.

editor
  the activated editor window

### Workspace.initWindowActions

initWindowActions()

Define the user interface actions for window handling.

### Workspace.removeAllViews

removeAllViews()

Private method to remove all views (i.e. windows)

### Workspace.removeSplit

removeSplit()

Public method used to remove the current split view.

### Workspace.removeView

removeView(win)

Private method to remove a view (i.e. window)

win
  editor window to be removed

### Workspace.setEditorName

setEditorName(editor, newName)

Change the displayed name of the editor.

editor
  editor window to be changed
newName
  new name to be shown (string or QString)

### Workspace.showView

showView(win, fn=None)

Private method to show a view (i.e. window)

win
  editor window to be shown
fn
  filename of this editor

### Workspace.splitView

splitView(orientation = QSplitter.Horizontal)

Public method used to split the current view.

orientation
  orientation of the split (QSplitter.Horizontal or QSplitter.Vertical)

### Workspace.tile

tile()

Public method to tile the managed windows.

Up